<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

include 'header.php';
?>
<div class="azo-ads-main" style="min-height: unset;">
    <div class="azo-ads-card">
        <div class="card-body">
            <div class="azo-ads-upgrade-info">
                <div class="azo-ads-upgrade-why">
                    <h3>Why Choose AZO Ads Pro?</h3>
                    <div class="upgrade-content">
                        <p>AZO Ads Pro is a simple yet powerful WordPress ad management plugin with many advanced advertising features to insert ads at optimal positions. It supports all kinds of ads including Google AdSense ads, Media.net ads, MGID ads and banners.</p>
                        <p>AZO Ads Pro is more than just an advanced ad manager or plugin for ads. It provides many flexible options to insert Javascript, CSS, HTML, analytics or tracking code anywhere on the page.</p>
                        <p>AZO Ads Pro can insert ads where other plugins fail. It's all about the settings.</p>
                        <p>A powerful, simple and lightweight solution to manage ads in WordPress.</p>
                        <div class="upgrade-btn-wrapper">
                            <a class="upgrade-to-pro-btn" href="https://my.azonow.com/cart/?add-to-cart=2214" target="_blank">Upgrade to Pro</a>
                        </div>
                    </div>
                </div>
                <div class="azo-ads-upgrade-faq">
                    <h3>Frequently Asked Questions</h3>
                    <div class="upgrade-content">
                        <ul class="upgrade-faq-accordion">
                            <li>
                                <a href="#">Which plan do I need?</a>
                                <span class="faq-accordion-answer">We know that our feature list can be overwhelming. The Pro plan is by far the best deal. Use the 30-days refund period to test it.</span>
                            </li>
                            <li>
                                <a href="#">Do you offer refunds?</a>
                                <span class="faq-accordion-answer">Yes, we give refunds within 30-days of the initial purchase. No further conditions or hidden policies.</span>
                            </li>
                            <li>
                                <a href="#">Can I upgrade later?</a>
                                <span class="faq-accordion-answer">Yes, no problem. You can always upgrade from a Pro license to Business or a larger number of sites, and will only pay the difference.</span>
                            </li>
                            <li>
                                <a href="#">Can I cancel the subscription and still use the product?</a>
                                <span class="faq-accordion-answer">When you cancel your subscription and your license expires you will no longer have access to new features, bug fixes, and support. You can still use our plugins on the sites you activated the licenses though.</span>
                            </li>
                            <li>
                                <a href="#">Do I need a license for my test site?</a>
                                <span class="faq-accordion-answer">No. You can activate the license on your test site and your live site just not at the same time based your domain name configured My AZO.</span>
                            </li>
                            <li>
                                <a href="#">Can I pay in EUR or other currencies?</a>
                                <span class="faq-accordion-answer">Our prices are given in USD, but the payment gateway providers convert them automatically from any currency you are using.</span>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="upgrade-plans" class="azo-ads-main">
    <div class="upgrade-features">
        <div class="features-header">Features</div>
        <ul class="features-items">
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="How many website you can activate by the license"></i><span>Number site of activation</span></li>
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="Post, image, paragraph, shortcode, sticky... and much more"></i><span><span>All kinds of Ad Position</span></li>
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="Banner, Background Ad, Text/HTML/Javascript &amp; Video Ad"></i><span>Basic Ad Type</span></li>
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="Google Adsense, Infolinks, MGID, Outbrain, Yandex..."></i><span>All kinds of Ad Network</span></li>
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="Basic Visibility &amp; Targeting Ad Appearance Condition"></i><span>Basic Visibility &amp; Targeting</span></li>
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="Advanced Visibility & Targeting Ad Appearance Condition: Browser Width, Device Type, User Agent"></i><span>Advanced Visibility & Targeting</span></li>
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="Popup Ad, Loop Ad, Random Ad, Floating Ad, Skip Ad... and much more"></i><span>Advanced Ad Type</span></li>
            <li><i class="moreinfo-icon azo-tooltip" data-azo-tooltip="Pro and higher plan responded within 30 minutes"></i><span>Support in time</span></li>
            <li class="features-btn-container"><span></span></li>
        </ul>
    </div>
    <a class="upgrade-plan plan-free" href="javascript:void(0);">
        <div class="plan-header">
            <span class="plan-name">
                <span>Free</span>
                <small>Multi-Purpose</small>
            </span>
            <span class="plan-price"><span class="plan-price-number">$0</span> / Year</span>
        </div>
        <ul class="plan-enable">
            <li><span>Unlimited</span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-x"></i></span></li>
            <li><span><i class="features-icon icon-x"></i></span></li>
            <li><span><i class="features-icon icon-x"></i></span></li>
            <li class="plan-btn-container"><span class="plan-btn-wrapper"><button class="plan-btn plan-download-btn">Download</button></span></li>
        </ul>
    </a>
    <a class="upgrade-plan plan-pro" href="https://my.azonow.com/cart/?add-to-cart=2214" target="_blank">
        <div class="plan-header">
            <span class="plan-name">
                <span>Pro</span>
                <small>Personal</small>
            </span>
            <span class="plan-price"><span class="plan-price-number">$47</span> / Year</span>
            <div class="plan-ribbon">
                <div class="ribbon-content">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><path d="M173.8 5.5c11-7.3 25.4-7.3 36.4 0L228 17.2c6 3.9 13 5.8 20.1 5.4l21.3-1.3c13.2-.8 25.6 6.4 31.5 18.2l9.6 19.1c3.2 6.4 8.4 11.5 14.7 14.7L344.5 83c11.8 5.9 19 18.3 18.2 31.5l-1.3 21.3c-.4 7.1 1.5 14.2 5.4 20.1l11.8 17.8c7.3 11 7.3 25.4 0 36.4L366.8 228c-3.9 6-5.8 13-5.4 20.1l1.3 21.3c.8 13.2-6.4 25.6-18.2 31.5l-19.1 9.6c-6.4 3.2-11.5 8.4-14.7 14.7L301 344.5c-5.9 11.8-18.3 19-31.5 18.2l-21.3-1.3c-7.1-.4-14.2 1.5-20.1 5.4l-17.8 11.8c-11 7.3-25.4 7.3-36.4 0L156 366.8c-6-3.9-13-5.8-20.1-5.4l-21.3 1.3c-13.2 .8-25.6-6.4-31.5-18.2l-9.6-19.1c-3.2-6.4-8.4-11.5-14.7-14.7L39.5 301c-11.8-5.9-19-18.3-18.2-31.5l1.3-21.3c.4-7.1-1.5-14.2-5.4-20.1L5.5 210.2c-7.3-11-7.3-25.4 0-36.4L17.2 156c3.9-6 5.8-13 5.4-20.1l-1.3-21.3c-.8-13.2 6.4-25.6 18.2-31.5l19.1-9.6C65 70.2 70.2 65 73.4 58.6L83 39.5c5.9-11.8 18.3-19 31.5-18.2l21.3 1.3c7.1 .4 14.2-1.5 20.1-5.4L173.8 5.5zM272 192a80 80 0 1 0 -160 0 80 80 0 1 0 160 0zM1.3 441.8L44.4 339.3c.2 .1 .3 .2 .4 .4l9.6 19.1c11.7 23.2 36 37.3 62 35.8l21.3-1.3c.2 0 .5 0 .7 .2l17.8 11.8c5.1 3.3 10.5 5.9 16.1 7.7l-37.6 89.3c-2.3 5.5-7.4 9.2-13.3 9.7s-11.6-2.2-14.8-7.2L74.4 455.5l-56.1 8.3c-5.7 .8-11.4-1.5-15-6s-4.3-10.7-2.1-16zm248 60.4L211.7 413c5.6-1.8 11-4.3 16.1-7.7l17.8-11.8c.2-.1 .4-.2 .7-.2l21.3 1.3c26 1.5 50.3-12.6 62-35.8l9.6-19.1c.1-.2 .2-.3 .4-.4l43.2 102.5c2.2 5.3 1.4 11.4-2.1 16s-9.3 6.9-15 6l-56.1-8.3-32.2 49.2c-3.2 5-8.9 7.7-14.8 7.2s-11-4.3-13.3-9.7z"/></svg>
                </div>
            </div>
        </div>
        <ul class="plan-enable">
            <li><span>1 site</span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li class="plan-btn-container"><span class="plan-btn-wrapper"><button class="plan-btn plan-download-btn">Buy Now</button></span></li>
        </ul>
    </a>
    <a class="upgrade-plan plan-business" href="https://my.azonow.com/cart/?add-to-cart=2215" target="_blank">
        <div class="plan-header">
            <span class="plan-name">
                <span>Enterprise</span>
                <small>Business</small>
            </span>
            <span class="plan-price"><span class="plan-price-number">$97</span> / Year</span>
        </div>
        <ul class="plan-enable">
            <li><span>5 sites</span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li><span><i class="features-icon icon-check"></i></span></li>
            <li class="plan-btn-container"><span class="plan-btn-wrapper"><button class="plan-btn plan-download-btn">Buy Now</button></span></li>
        </ul>
    </a>
</div>
<?php include 'footer.php'; ?>